# Add settings to production batch **POST /data/projects/{project_id}/settings/batch** Add several task types (with their priority), task statuses and asset types to a production in a single request, replacing one link request per item. Unknown ids are skipped. When replace_task_types is set, the task type list is the full wanted set and existing links absent from it are removed. ## Servers - http://api.example.com: http://api.example.com () ## Authentication methods - Jwt authorization ## Parameters ### Path parameters - **project_id** (string(uuid)) Project unique identifier ### Body: application/json (object) - **task_types** (array[object]) - **task_status_ids** (array[string(uuid)]) - **asset_type_ids** (array[string(uuid)]) - **replace_task_types** (boolean) ## Responses ### 200 Updated project [Powered by Bump.sh](https://bump.sh)